Class | Less::Node::Mixin::Def
In: | lib/sass/less.rb
Parent: | Object

### Methods

to_sass_tree

### Public Instance methods

to_sass_tree()

[Source]

         # File lib/sass/less.rb, line 202
    202:         def to_sass_tree
    203:           return if hide_in_sass
    204:           mixin = Sass::Tree::MixinDefNode.new(name, @params.map do |v|
    205:               v.value.flatten!
    206:               [Sass::Script::Variable.new(v), v.value.to_sass_tree]
    207:             end)
    208:           rules.each {|r| mixin << r.to_sass_tree}
    209:           mixin
    210:         end

[Validate]